﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;
using Infragistics.Win.UltraWinSchedule;
using Infragistics.Win;
using Infragistics.Win.UltraWinToolTip;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsGantt
{
    public partial class Form1 : Form
    {
        #region GanttViewAction
        /// <summary>
        /// Enumeration of actions that can be perfomed.
        /// </summary>
        public enum GanttViewAction
        {
            IndentTask = 1,
            OutdentTask = 2,
            MoveTaskDateForward = 3,
            MoveTaskDateBackward = 4
        }
        #endregion // GanttViewAction
        public Form1()
        {
            InitializeComponent();
        }

        SqlConnection sqlConnection;

        SqlConnectionStringBuilder sqlBuilder = new SqlConnectionStringBuilder();
        

        private void button1_Click(object sender, EventArgs e)
        {
            try
            {
                DBDataSet.Clear();


                //Fill DataSet
                dbProjectsTableAdapter.Fill(DBDataSet.dbProjects);
                dbTasksTableAdapter.Fill(DBDataSet.dbTasks);


                ultraCalendarInfo1.DataBindingsForProjects.BindingContextControl = this;
                ultraCalendarInfo1.DataBindingsForTasks.BindingContextControl = this;


                ////  Set the DataBinding members for Projects 
                this.ultraCalendarInfo1.DataBindingsForProjects.DataSource = DBDataSet.dbProjects;

                this.ultraCalendarInfo1.DataBindingsForProjects.IdMember = "ProjectID";
                this.ultraCalendarInfo1.DataBindingsForProjects.KeyMember = "ProjectKey";
                this.ultraCalendarInfo1.DataBindingsForProjects.NameMember = "ProjectName";
                this.ultraCalendarInfo1.DataBindingsForProjects.StartDateMember = "ProjectStartTime";
                //this.ultraCalendarInfo1.DataBindingsForProjects.RefreshData();


                //  Set the DataBinding members for Tasks
                this.ultraCalendarInfo1.DataBindingsForTasks.DataSource = DBDataSet.dbTasks;


                // Basic Task properties 
                this.ultraCalendarInfo1.DataBindingsForTasks.NameMember = "TaskName";
                this.ultraCalendarInfo1.DataBindingsForTasks.DurationMember = "TaskDuration";
                this.ultraCalendarInfo1.DataBindingsForTasks.StartDateTimeMember = "TaskStartTime";

                this.ultraCalendarInfo1.DataBindingsForTasks.IdMember = "TaskID";
                this.ultraCalendarInfo1.DataBindingsForTasks.ProjectKeyMember = "ProjectKey";
                this.ultraCalendarInfo1.DataBindingsForTasks.ParentTaskIdMember = "ParentTaskID";
                this.ultraCalendarInfo1.DataBindingsForTasks.PercentCompleteMember = "TaskPercentComplete";
                this.ultraCalendarInfo1.DataBindingsForTasks.AllPropertiesMember = "AllProperties";

                this.ultraGanttView1.CalendarInfo = this.ultraCalendarInfo1;

                //Choose which project to be show in the GanntView
                this.ultraGanttView1.Project = this.ultraGanttView1.CalendarInfo.Projects[1];


            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }

       

        private void Form1_Load(object sender, EventArgs e)
        {
            
           

        }

  

        private void button2_Click(object sender, EventArgs e)
        {
            try
            {
                dbProjectsTableAdapter.Update(DBDataSet.dbProjects);
                dbTasksTableAdapter.Update(DBDataSet.dbTasks);
            }
            catch(Exception ex)
            {
                MessageBox.Show(ex.Message);
            }

        }

      

       
    }
}
